'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');
const record = new Schema({
  ip: { type: String, required: true }, // 真实ip
  route: { type: String, required: true }, // 路由
  create_time: { type: String, default: moment().format('YYYY-MM-DD HH:mm:ss') },
});

// 网页访问量表
const hits = {
  date: { type: String, default: moment().format('YYYY-MM-DD') }, // 日期
  _tenant: { type: String },
  record: { type: [ record ] }, // 记录
};
const schema = new Schema(hits, { 'multi-tenancy': true, toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Hits', schema, 'hits');
};
