/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1611907459516_421';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.cluster = {
    listen: {
      port: 9102,
    },
  };
  config.dbName = 'statistics';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      // user: 'admin',
      // pass: '111111',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };


  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };
  config.proxy = true;
  return {
    ...config,
    ...userConfig,
  };
};
